function $FnFillListViewGames($QsJson) {
	var $ParsedJsonData = null;

	try {
		$ParsedJsonData = JSON.parse($QsJson);
	} catch($e) {

		$ParsedJsonData = JSON.parse("{ \"UnixSystemDateTimeUtc\": \"error\", \"Datas\": [] }");
	}

	if ($ParsedJsonData != null) {

		var $JsonItems = $ParsedJsonData.Datas;
		var $ListItems = [];
		var $SearchableTextForEmptyRow = "";

		_.any($JsonItems, function($Json) {
			if (parseInt($Json.IsStarted) == 1 && parseInt($Json.IsEnd) == 0 && parseInt($Json.Quarter) > 0) {
				$VarsGlobal.IsLiveGameExist = true;
				//< $FncsGlobal.$FncTiApiInfo("Alloy.Globals.IsLiveGameExist > " + Alloy.Globals.IsLiveGameExist);
				return true;
			}
		});



		if ($JsonItems.length > 0) {


			_.each($JsonItems, function($Json, $Index) {

				var $ID = $Json.ID;
				var $IsFav = _.contains($VarsGlobal.ArrFavoritesGames, $ID) || args.JsonQsType == "favorites" ? true : false;
				var $Country = $Json.Country;
				var $League = $Json.League;
				var $Round = $Json.Round;
				var $Time = $Json.Time;
				var $Quarter = $Json.Quarter;
				var $HomeScore = $Json.HomeScore;
				var $AwayScore = $Json.AwayScore;
				var $IsStarted = parseInt($Json.IsStarted);
				var $IsEnd = parseInt($Json.IsEnd);
				var $Boxscore = parseInt($Json.Boxscore);
				var $BoxscoreId = $Json.BoxscoreId;
				var $MatchDateTimeUtc = $FncsGlobal.$FncSqlToJsDate($Json.MatchDateTimeUtc);
				var $UpdateDateTimeUtc = $FncsGlobal.$FncSqlToJsDate($Json.UpdateDateTimeUtc);
				var $GameStatus = $Json.GameStatus;
				var $Home = $Json.Home.split('\n')[0];
				var $HomeUnicode = $Json.Home.split('\n')[1];
				var $Away = $Json.Away.split('\n')[0];
				var $AwayUnicode = $Json.Away.split('\n')[1];

				var $BetHomeCode = $Json.BetHomeCode;
				var $BetAwayCode = $Json.BetAwayCode;
				var $StandingOrDraw = $Json.StandingOrDraw;

				var $TeamGameIsHome = false;
				var $TeamGameIsAway = false;

				if (args.JsonQsType == "team_games") {

					if ($FncsGlobal.$FncTrim($Home) == $FncsGlobal.$FncTrim(args.JsonQsTeamName)) {
						$TeamGameIsHome = true;
					}

					if ($BetHomeCode != "") {
						if ($FncsGlobal.$FncTrim($BetHomeCode) == $FncsGlobal.$FncTrim(args.JsonQsTeamCode)) {
							$TeamGameIsHome = true;
						}
					}

					if ($FncsGlobal.$FncTrim($Away) == $FncsGlobal.$FncTrim(args.JsonQsTeamName)) {
						$TeamGameIsAway = true;
					}

					if ($BetAwayCode != "") {
						if ($FncsGlobal.$FncTrim($BetAwayCode) == $FncsGlobal.$FncTrim(args.JsonQsTeamCode)) {
							$TeamGameIsAway = true;
						}
					}

				}

				if ($HomeUnicode === undefined) {
					$HomeUnicode = "";
				}

				if ($AwayUnicode === undefined) {
					$AwayUnicode = "";
				}

				$Home = $FncsGlobal.$FncTrim($FncsGlobal.$FncRemoveLineBreaks($Home));
				$Away = $FncsGlobal.$FncTrim($FncsGlobal.$FncRemoveLineBreaks($Away));

				$HomeUnicode = $FncsGlobal.$FncTrim($FncsGlobal.$FncRemoveLineBreaks($HomeUnicode));
				$AwayUnicode = $FncsGlobal.$FncTrim($FncsGlobal.$FncRemoveLineBreaks($AwayUnicode));

				var $DateTimeText = "";
				var $DateTimeTextColor = Alloy.Globals.Colors.GrayBlack;

				if (isNaN($Quarter) != true) {
					$Quarter = $Quarter.toString() + L('Text_QuarterAbbreviation');
				}

				var $SearchableText = $Country + " " + $League + " " + $Home + " " + $Away;

				//< $FncsGlobal.$FncTiApiInfo("$SearchableText > " + $SearchableText);

				if ($IsStarted == 1 && $IsEnd == 0) {

					$DateTimeTextColor = Alloy.Globals.Colors.BelizeHole;

					$SearchableText += " " + L('SearchableText_Live');

					if ($GameStatus != "") {

						if ($GameStatus.toLowerCase() == "ht") {
							$DateTimeText = L('GamesStatus_HalfTime');
						} else if ($GameStatus.toLowerCase() == "fn") {
							$DateTimeText = L('GamesStatus_Final') + "\n" + $Quarter;
							$DateTimeTextColor = Alloy.Globals.Colors.Pomegranate;
						}

					} else {
						$DateTimeText = $Time + "\n" + $Quarter;
					}

					$DateTimeText = $DateTimeText + "\n" + $FncsGlobal.$FncUpdateAgo($MomentJs().diff($MomentJs($UpdateDateTimeUtc).local(), 'seconds'));
				} else {
					$DateTimeText = $MomentJs($MatchDateTimeUtc).local().format('DD/MM/YY').toLocaleString() + "\n" + $MomentJs($MatchDateTimeUtc).local().format('HH:mm').toLocaleString();

					if ($IsEnd == 1) {
						if (parseInt($Quarter) > 4) {
							$DateTimeText += "\n(" + $Quarter + ")";
						} else {
							$DateTimeText += "\n(" + L('GamesStatus_Final') + ")";
						}
						$DateTimeTextColor = Alloy.Globals.Colors.Pomegranate;
					}

				}

				var $FavIconIsVisible = true;
				//> $IsEnd == 0 || args.JsonQsType == "favorites" ? true : false;

				var $FavText = "";
				var $FavColor = Alloy.Globals.Colors.GrayBlack;

				if ($FavIconIsVisible == true) {
					if ($IsFav == true) {
						$FavText = $FavsRemoveText;
						$FavColor = Alloy.Globals.Colors.Alizarin;
					} else {
						$FavText = $FavsAddText;
					}
				}

				var $BoxscoreIconIsVisible = $Boxscore == 1 ? true : false;

				var $CountryLeagueRound = $Country == $League ? $Country + " > " : $Country + " > " + $League + " > ";

				var $SocialText = "";
				$SocialText += $CountryLeagueRound;
				$SocialText += $Home + " (";
				$SocialText += $HomeScore + ") - (";
				$SocialText += $AwayScore + ") ";
				$SocialText += $Away + " | ";
				$SocialText += $DateTimeText.replace("\n", " ") + " | ";
				$SocialText += $VarsGlobal.RemoteHost;

				$SearchableTextForEmptyRow += " " + $SearchableText;

				$ListItems.push({
					template : "_TemplateGames",
					_RootView : {},

					_CountryFlag : {
						image : ($VarsGlobal.RemoteHost + "/images/flags/" + $Country + ".png").replace(/ /ig, '-') ,
					},

					_League : {
						text : $League,
						accessibilityValue : $StandingOrDraw,
						accessibilityHint : $Country
					},

					_Round : {
						text : $Round
					},
					_RoundContainer : {
						height : $Round == "" ? 0 : Titanium.UI.SIZE,
						visible : $Round == "" ? false : true
					},
					_DateTime : {
						text : $DateTimeText.indexOf("undefined") == -1 ? $DateTimeText : "",
						color : $DateTimeTextColor,
					},
					_Share : {
						accessibilityLabel : $SocialText,
						width : Titanium.UI.SIZE,
						height : Titanium.UI.SIZE
					},
					_Favorites : {
						text : $FavText,
						color : $FavColor,
						width : $FavIconIsVisible == true ? 30 : 0,
						height : $FavIconIsVisible == true ? 30 : 0,
						visible : $FavIconIsVisible == true ? true : false,
						accessibilityValue : $FavIconIsVisible == true ? "visible" : "hidden",
					},
					_Boxscore : {
						text : $BoxscoreIconIsVisible == true ? Alloy.Globals.Icons.Stats : "",
						width : $BoxscoreIconIsVisible == true ? 30 : 0,
						height : $BoxscoreIconIsVisible == true ? 30 : 0,
						visible : $BoxscoreIconIsVisible == true ? true : false,
						accessibilityValue : $BoxscoreId,
					},
					_Home : {
						text : $Home,
						accessibilityValue : $BetHomeCode,
						color : $TeamGameIsHome == true ? Alloy.Globals.Colors.Wisteria : parseInt($HomeScore) > parseInt($AwayScore) ? Alloy.Globals.Colors.Black : Alloy.Globals.Colors.GrayBlack,
						font : {
							fontWeight : parseInt($HomeScore) > parseInt($AwayScore) ? "bold" : "normal",
							fontFamily: Alloy.Globals.Vars.FontCustom,
							fontSize : 12
						}
					},
					_HomeUnicode : {
						text : $HomeUnicode == "" ? "" : $HomeUnicode,
						height : $HomeUnicode == "" ? 0 : Titanium.UI.SIZE
					},
					_HQ1 : {
						text : $Json.HQ1
					},
					_HQ2 : {
						text : $Json.HQ2
					},
					_HQ3 : {
						text : $Json.HQ3
					},
					_HQ4 : {
						text : $Json.HQ4
					},
					_HQT : {
						text : $Json.HQT
					},
					_HomeScore : {
						text : $HomeScore,
						color : $TeamGameIsHome == true ? Alloy.Globals.Colors.Wisteria : parseInt($HomeScore) > parseInt($AwayScore) ? Alloy.Globals.Colors.Black : Alloy.Globals.Colors.GrayBlack,
						font : {
							fontWeight : parseInt($HomeScore) > parseInt($AwayScore) ? "bold" : "normal",
							fontFamily: Alloy.Globals.Vars.FontCustom,
							fontSize : 14
						}
					},
					_Away : {
						text : $Away,
						accessibilityValue : $BetAwayCode,
						color : $TeamGameIsAway == true ? Alloy.Globals.Colors.Wisteria : parseInt($AwayScore) > parseInt($HomeScore) ? Alloy.Globals.Colors.Black : Alloy.Globals.Colors.GrayBlack,
						font : {
							fontWeight : parseInt($AwayScore) > parseInt($HomeScore) ? "bold" : "normal",
							fontFamily: Alloy.Globals.Vars.FontCustom,
							fontSize : 12
						}

					},
					_AwayUnicode : {
						text : $AwayUnicode == "" ? "" : $AwayUnicode,
						height : $AwayUnicode == "" ? 0 : Titanium.UI.SIZE
					},
					_AQ1 : {
						text : $Json.AQ1
					},
					_AQ2 : {
						text : $Json.AQ2
					},
					_AQ3 : {
						text : $Json.AQ3
					},
					_AQ4 : {
						text : $Json.AQ4
					},
					_AQT : {
						text : $Json.AQT
					},
					_AwayScore : {
						text : $AwayScore,
						color : $TeamGameIsAway == true ? Alloy.Globals.Colors.Wisteria : parseInt($AwayScore) > parseInt($HomeScore) ? Alloy.Globals.Colors.Black : Alloy.Globals.Colors.GrayBlack,
						font : {
							fontWeight : parseInt($AwayScore) > parseInt($HomeScore) ? "bold" : "normal",
							fontFamily: Alloy.Globals.Vars.FontCustom,
							fontSize : 14
						}
					},
					properties : {
						itemId : $ID,
						searchableText : $SearchableText
					}
				});
			});

			if ($FncsGlobal.AdmobBottomMargin > 0) {
				$ListItems.push({
					template : "_TemplateEmptyRow",
					properties : {
						height : $FncsGlobal.AdmobBottomMargin,
						searchableText : $SearchableTextForEmptyRow,
						backgroundColor : "transparent",
						selectedBackgroundColor : "transparent"
					}
				});

				//< $FncsGlobal.$FncTiApiInfo("$SearchableTextForEmptyRow > " + $SearchableTextForEmptyRow);
			}

		} else {
			$FncsGlobal.$FnShowHide($.ViewNoData, true);
		}

		var $ListSection = Titanium.UI.createListSection();
		$ListSection.setItems($ListItems);

		if ($.ListViewGames != null) {
			$.ListViewGames.sections = [$ListSection];
		}

		$ListItems = null;
		$ListSection = null;

		$VarsGlobal.ListViewDateForGames = $VarsGlobal.JsonQsDateCurrent;
		

	}

	$ParsedJsonData = null;
}
